%% Test family 1 X-axis singularity

%%
% graph of f1

Vertex=[0,0,1;1,0,0];
Tri=[1,2,3];
beta1=rand;
d=-1.2;
err=input('error: ');
f1 =@(V) (abs(V(1,:)-beta1)+V(2,:)).^d;

close all;
x=Vertex(1,:); y=Vertex(2,:);
[lx,ly]=subdivizare(x,y,5);
TT=delaunay(lx,ly);
Z=f1([lx,ly]');
trisurf(TT,lx,ly,Z);
title('Graph of $f_1$','Interpreter','Latex','FontSize',18);

%%
% compute the integral and plot evaluation points

figure(2)

oo=optset('AbsoluteError',err,'Trace','on');
[result,ee,stat]=CubatureTriang(f1,Tri,Vertex,...
    [],[],oo);

shg
ss=sprintf('X-axis singularity, $\\varepsilon=%g$, congruent',err);
title(ss,'Interpreter','Latex','FontSize',18);
result,ee,stat

figure(3)

oo=optset('AbsoluteError',err,'Trace','on','Subdivision','flexible');
[result2,ee2,stat2]=CubatureTriangx(f1,Tri,Vertex,...
    [],[],oo);

shg
ss=sprintf('X-axis singularity, $\\varepsilon=%g$, flexible',err);
title(ss,'Interpreter','Latex','FontSize',18);
result2,ee2,stat2
